/**
 * WPS相关接口
 */
import qs from 'qs'
import request from '@/utils/request'
const baseUrl = '/v1/api'

// 获取模板列表
export const getTemplateList = params => {
    return request({
        url: baseUrl + '/wps/getTemplateList',
        method: 'get',
        params
    })
}

// 新建文件
export const newfile = data => {
    return request({
        url: baseUrl + '/wps/newfile',
        method: 'post',
        // data
        data: qs.stringify(data),
        headers: { 'content-type': 'application/x-www-form-urlencoded' }
    })
}

// 新建模板
export const newfileTemplate = data => {
    return request({
        url: baseUrl + '/wps/newfileTemplate',
        method: 'post',
        data
    })
}
// 删除文件
export const delFile = data => {
    return request({
        url: baseUrl + '/wps/delFile',
        method: 'post',
        data
    })
}

// 获取后台文件预览地址
export const getViewUrlDbPath = params => {
    return request({
        url: baseUrl + '/wps/getViewUrlDbPath',
        method: 'get',
        params
    })
}